/* Include the CUPS header file. */
#include <cups/cups.h>


int                            /* O - Exit status */
main(void)
{
  int        i;                /* Looping var */
  int        num_printers;     /* Number of printers */
  char       **printers;       /* List of printers */
  const char *default_printer; /* Default printer */


  /* Get the default printer */
  default_printer = cupsGetDefault();

  /* Show the user the default printer */
  if (default_printer != NULL)
    printf("The default printer is %s\n", default_printer);
  else
    puts("There is no default printer.");

  /* Get the list of printers */
  num_printers = cupsGetPrinters(&printers);

  /* Show the user the available printers */
  if (num_printers > 0)
  {
    puts("The available printers are:");

    for (i = 0; i < num_printers; i ++)
      printf("    %s\n", printers[i]);

    /* Free the printer list */
    for (i = 0; i < num_printers; i ++)
      free(printers[i]);

    free(printers);
  }
  else
    puts("There are no printers on this system.");

  /* Return with no error */
  return (0);
}

