/* Include the CUPS header file. */
#include <cups/cups.h>


int                            /* O - Exit status */
main(void)
{
  int        i;                /* Looping var */
  int        num_classes;      /* Number of classes */
  char       **classes;        /* List of classes */
  int        num_printers;     /* Number of printers */
  char       **printers;       /* List of printers */
  const char *defdest;         /* Default destination */


  /* Get the default destination */
  defdest = cupsGetDefault();

  /* Show the user the default printer */
  if (defdest != NULL)
    printf("Default destination is %s.\n", defdest);
  else
    puts("No default destination.");

  /* Get the list of classes */
  num_classes = cupsGetClasses(&classes);

  /* Show the user the available classes */
  if (num_classes > 0)
  {
    printf("%d class(es) were found:\n", num_classes);

    for (i = 0; i < num_classes; i ++)
      printf("    %s\n", classes[i]);

    /* Free the classe list */
    for (i = 0; i < num_classes; i ++)
      free(classes[i]);

    free(classes);
  }
  else
    puts("No classes found.");

  /* Get the list of printers */
  num_printers = cupsGetPrinters(&printers);

  /* Show the user the available printers */
  if (num_printers > 0)
  {
    printf("%d printer(s) were found:\n", num_printers);

    for (i = 0; i < num_printers; i ++)
      printf("    %s\n", printers[i]);

    /* Free the printer list */
    for (i = 0; i < num_printers; i ++)
      free(printers[i]);

    free(printers);
  }
  else
    puts("No printers found.");

  /* Return with no error */
  return (0);
}

