/* Include the CUPS header file */
#include <cups/cups.h>


int                    /* O - Exit status */
main(void)
{
  int        i;        /* Looping var */
  int        num_jobs; /* Number of jobs */
  cups_job_t *jobs;    /* Jobs */


  /* Get the current jobs */
  num_jobs = cupsGetJobs(&jobs, NULL, 0, 0);

  if (num_jobs > 0)
  {
    /* Show the job list */
    printf("%d job(s) found:\n", num_jobs);
    puts("");
    puts("    Job ID  Destination      Title       User        Size");
    puts("    ------  ---------------  ----------  ----------  ------");

    for (i = 0; i < num_jobs; i ++)
      printf("    %-6d  %-15.15s  %-10.10s  %-10.10s  %dk",
             jobs[i].id, jobs[i].dest, jobs[i].title, jobs[i].user,
             jobs[i].size);

    cupsFreeJobs(num_jobs, jobs);
  }
  else
     puts("No jobs found.");

  /* Return with no error */
  return (0);
}

